uhd_cal_tx_dc_offset(1)

NAME
uhd_cal_tx_dc_offset - Generate TX DC Offset Calibration Table for a UHD Device

DESCRIPTION
The Universal Software Radio Peripheral Hardware Drivers handle calibration information. This application reduces TX DC offset within the specified frequency range using transmit leakage into the receive path. Remove all external hardware from the RF antenna ports before using this application. This can take up to several minutes with default settings.

NOTE: This application can only be used with the WBX, SBX, XCVR2450, and RFX daughterboards.

OPTIONS

--help
    help message

--verbose
    enable some verbose

--args arg
    device address args [default = ""]

--tx_wave_freq arg (=507123)
    Transmit wave frequency in Hz

--tx_wave_ampl arg (=0.69999999999999996)
    Transmit wave amplitude in counts

--tx_gain arg
    Tx gain in dB (will use default gain if unspecified)

--rx_offset arg (=934400)
    RX LO offset from the TX LO in Hz

--freq_start arg
    Frequency start in Hz (will use beginning of frequency range if unspecified)

--freq_stop arg
    Frequency stop in Hz (will use end of frequency range if unspecified)

--freq_step arg (=7300000)
    Step size for LO sweep in Hz

--nsamps arg (=10000)
    Samples per data capture

SEE ALSO
UHD documentation: http://files.ettus.com/manual/

GR-UHD documentation: http://gnuradio.org/doc/doxygen/page_uhd.html

Other UHD programs:

uhd_cal_rx_iq_balance(1) uhd_cal_tx_iq_balance(1)

AUTHOR
This manual page was written by Maitland Bottoms and Nicholas Corgan for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2012-2022 Ettus Research, A National Instruments Brand

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.